%define product_family Anolis OS
%define base_release_version 8

Name:           rawhide-release
Version:        8
Release:        1.1%{?dist}
Summary:        Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration

Group:          System Environment/Base
License:        MulanPSLv2

Source0:        experimental.repo
source1:        epao.repo

BuildRequires:  anolis-release


%description
Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration


%package -n experimental-release
Summary:        Experimental Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       experimental

%description -n experimental-release
This package contains the Experimental Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%package -n EPAO-release
Summary:        EPAO Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       experimental

%description -n EPAO-release
This package contains the EPAO Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.


BuildArch:     noarch
Requires:      anolis-release >=  %{version}

%prep
echo OK

%build
echo OK


%install
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/experimental.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/epao.repo

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}//pki/rpm-gpg/RPM-GPG-KEY-ANOLIS

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} %{SOURCE1}  \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d


%files -n experimental-release
%defattr(-,root,root,-)
#%doc %{source2}
%config(noreplace) /etc/yum.repos.d/experimental.repo


%files -n EPAO-release
#%doc %{source3}
%config(noreplace) /etc/yum.repos.d/epao.repo

%changelog
* Tue Jul 12 2022 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8-1.1
- Add rawide-release for Anolis OS 8.
